Subject: bug#41678: 27.0.91; [macOS] crash, maybe due to frame switching and/or switch input sources from menu bar

From: Alan Third <[email-masked]>
Date: Sat, 23 Jan 2021 09:55:01 +0000

On Fri, Jan 22, 2021 at 09:20:52PM +0100, Lars Ingebrigtsen wrote:
> Devon Sean McCullough <[email-masked]> writes:
> > (lldb) thread backtrace
> > * thread #1: tid = 0x4c377c7, 0x00007fff93fa04dd libobjc.A.dylib`objc_msgSend + 29, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x18)
> >   * frame #0: 0x00007fff93fa04dd libobjc.A.dylib`objc_msgSend + 29
> >     frame #1: 0x000000010b019aa4 Emacs-x86_64-10_10`-[EmacsImage dealloc] + 84
> >     frame #2: 0x00007fff93fa7288 libobjc.A.dylib`objc_object::sidetable_release(bool) + 242
> >     frame #3: 0x00007fff93fa5b3b libobjc.A.dylib`(anonymous namespace)::AutoreleasePoolPage::pop(void*) + 477
> >     frame #4: 0x00007fff8ecc2bc2 CoreFoundation`_CFAutoreleasePoolPop + 50
> >     frame #5: 0x00007fff9637f7ca Foundation`-[NSAutoreleasePool drain] + 153
> >     frame #6: 0x00007fff8b7b8e53 AppKit`-[NSApplication run] + 893
> 
> I've added Alan to the CCs; perhaps he has some insight here.

It's possible that commit f14869cd70e61b1908ec88a5e3d4bf21c7d538a0 has
fixed this, but I've not been able to reproduce most of these recent
crashes, so I can't say for sure.
-- 
Alan Third